import com.google.gson.Gson;

import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

public class BuildShape {

    public void build(String fileName) throws FileNotFoundException {

        Change change = new Change();
        OperateFile operateFile = new OperateFile();
        String filePath = "/Users/haoqianpan/file/programfile/meanshift/out/";
//        String fileName = "";
        ArrayList<Map> resultMapList = new ArrayList<>();
        ArrayList<Point> pointArrayList = operateFile.readXYCor(filePath + fileName);

        for (int i = 0 ; i < pointArrayList.size();i++){

            Point point = pointArrayList.get(i);
            Double x = point.getColX();
            Double y = point.getColY();
            Map mapTemp = new HashMap();
            mapTemp.put("x",x.toString());
            mapTemp.put("y",y.toString());
            resultMapList.add(mapTemp);
        }

        Gson gson = new Gson();
        String str = gson.toJson(resultMapList);
        System.out.println(str);
    }

}
